Results 1 to 2 of 2

Thread: is wpa_supplicant compiled with CONFIG_SUITEB192 enabled?

  1. #1
    Join Date
    2019-Jul
    Posts
    1

    is wpa_supplicant compiled with CONFIG_SUITEB192 enabled?

    I am using kali 2019.2。I tried to use wpa_supplicant to connect to a WPA3 Enterprise WiFi。But I got error message:

    Code:
    Line 5: invalid key_mgmt 'WPA-EAP-SUITE-B-192'
    Line 5: no key_mgmt values configured.
    Line 5: failed to parse key_mgmt 'WPA-EAP-SUITE-B-192'
    The wpa_supplicant is provided by kali, version is 2.8-devel. My wpa_supplicant configuration is:

    Code:
    ctrl_interface=/var/run/wpa_supplicant
    network={
            ssid="wpa3-1x"
            proto=RSN
            key_mgmt=WPA-EAP-SUITE-B-192
            eap=PEAP
        ieee80211w=2
            pairwise=GCMP-256
            group=GCMP-256
            identity="admin"
        password="admin"
    }
    I had read the source code of wpa_supplicant 2.8,I think the wpa_supplicant doesn't recognize WPA-EAP-SUITE-B-192 key_mgmt is because it was not compiled with CONFIG_SUITEB192 enabled, is that true? If so, why not compile it with CONFIG_SUITEB192? If not,then what's the reason of "invalid key_mgmt 'WPA-EAP-SUITE-B-192'" error?

    Code:
    /* source code from wpa_supplicant */
    
    #ifdef CONFIG_SUITEB192
            else if (os_strcmp(start, "WPA-EAP-SUITE-B-192") == 0)
                val |= WPA_KEY_MGMT_IEEE8021X_SUITE_B_192;
    #endif /* CONFIG_SUITEB192 */
            /* some other codes ... */
            else {
                wpa_printf(MSG_ERROR, "Line %d: invalid key_mgmt '%s'",
                       line, start);
                errors++;
            }

  2. #2
    Join Date
    2016-Dec
    Posts
    647
    I don't have the answer to your question.

    2.8-devel is not 2.8. It is a version between 2.7 and 2.8, from git most likely.

    I think it just got updated to 2.8, update and try again. In any case, the details of the package can be found there: https://packages.debian.org/bullseye/wpasupplicant

Similar Threads

  1. Aircrack-ng wasn't compiled with sqlite
    By PlasmaWaffle in forum TroubleShooting Archive
    Replies: 2
    Last Post: 2016-08-28, 11:53
  2. Replies: 1
    Last Post: 2015-11-26, 10:32
  3. dkms module of virtualbox-guest-x11-4.3.18 can't be compiled?
    By easior in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2015-03-13, 12:59

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •